#include <amscppimglib4/amscppimglib4.hpp>

namespace ams
{

    void amscppimglib_test1()
    {
        amsimage img1, img2;

        img1.resize(1000,2000);
        printf("img1:(%d,%d)\n",img1.width,img1.height);

        img2 = img1.transpose();
        img2 = img1.transpose().flipx();
        printf("img1:(%d,%d)\n",img2.width,img2.height);

        return;
    }

};